package com.ztmap.project.zhny.lotusydfx.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 用电分项统计对象 t_lotus_ydfx
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public class TLotusYdfx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 类型 */
    @Excel(name = "类型")
    private String name;

    /** 用电 */
    @Excel(name = "用电")
    private Long data;

    /** 时间 */
    @Excel(name = "时间")
    private String dataTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setData(Long data)
    {
        this.data = data;
    }

    public Long getData()
    {
        return data;
    }
    public void setDataTime(String dataTime)
    {
        this.dataTime = dataTime;
    }

    public String getDataTime()
    {
        return dataTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("data", getData())
            .append("dataTime", getDataTime())
            .toString();
    }
}
